## initramfs-tools-ubuntu-core 0.4

=== debian/changelog ===
initramfs-tools-ubuntu-core (0.4) utopic; urgency=medium

  * debian/control: Pre-Depend (rather than Depend) on system-image-common
    as that package's conffiles must be in place by the time the
    system-image initramfs hook gets called.

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 03 Oct 2014 12:20:18 +0100

initramfs-tools-ubuntu-core (0.3) utopic; urgency=medium

  * scripts/read-only-rootfs:
    - Revert adding required directories - let the provisioning tools handle
      this.
    - Create read-only rootfs bind mount to conceal from the system any
      future writable operations.
    - Don't mount writable initially as it isn't needed in this
      environment (LP: #1376116).

 -- James Hunt <james.hunt@ubuntu.com>  Thu, 02 Oct 2014 14:01:43 +0100

initramfs-tools-ubuntu-core (0.2) utopic; urgency=low

  * scripts/read-only-rootfs: Add required directories.
  * debian/control: Add missing Depends: on system-image-common (LP: #1376111).

 -- James Hunt <james.hunt@ubuntu.com>  Wed, 01 Oct 2014 13:27:51 +0100

initramfs-tools-ubuntu-core (0.1) utopic; urgency=low

  * Initial release (LP: #1374445).

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 26 Sep 2014 14:29:04 +0100
