=== debian/control ===
Source: initramfs-tools-ubuntu-core
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5

Package: initramfs-tools-ubuntu-core
Architecture: all
Pre-Depends: system-image-common
Depends: initramfs-tools, ubuntu-core-config, ${misc:Depends},
  gnupg, xz-utils
Description: Tools for making a read-only Ubuntu Core image selectively writeable
 This package contains the scripts to make a read-only Ubuntu Core image
 selectively writeable. These scripts are run within the initramfs.
 This package should be installed on Ubuntu Core systems.
