## initramfs-tools-ubuntu-core 0.7.6

=== debian/changelog ===
initramfs-tools-ubuntu-core (0.7.6) vivid; urgency=low

  * remove system-image-snappy dependency, it is no longer needed,
    i.e. no files from system-image are installed anymore
    (as of version 0.5)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Apr 2015 16:27:58 -0400

initramfs-tools-ubuntu-core (0.7.5) vivid; urgency=low

  * depend on system-image-snappy instead of system-image

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Apr 2015 14:44:21 -0400

initramfs-tools-ubuntu-core (0.7.4) vivid; urgency=medium

  [ Steve Langasek ]
  * Point Vcs-Bzr at the UDD branch now that this package is in the archive.

  [ James Hunt ]
  * Mount the boot partition with "sync" to minimise change of corruption.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Feb 2015 10:05:57 -0800

initramfs-tools-ubuntu-core (0.7.3) vivid; urgency=low

  [ James Hunt ]
  * Ensure writable partition fsck'd and boot partition specifies
    fs_passno=2 in fstab (LP: #1423529).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Feb 2015 22:03:43 +0100

initramfs-tools-ubuntu-core (0.7.2) vivid; urgency=medium

  [ James Hunt ]
  * scripts/read-only-rootfs:
    - Use root= rather than looking up partition by name to enable A/B
      partition support.
    - Use /writable rather than /userdata.
    - Handle U-boot.
    - Ensure root device exists before attempting to mount (LP: #1414251).
    - Resolve root= argument to ensure paths are being compared,
      rather than the usual root=LABEL= (which resolves a "snappy upgrade"
      issue for the parallella).
  * man/writable-paths.5: Update details and terminology.
  * Mount boot partition if present.
  * Rename scripts to more closely reflect package name.

  [ Martin Pitt ]
  * scripts/read-only-rootfs: Mount /etc/systemd/system. Mounting it in the
    real system is too late, as at that point systemd has already stated and
    read /etc/systemd/system/. So we need to mount it in the initramfs
    already.

  [ Loïc Minier ]
  * Add Vcs-Bzr.
  * hooks/ubuntu-core-rootfs: copy /bin/chown into the initrd as well.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 13 Feb 2015 14:51:11 -0200

initramfs-tools-ubuntu-core (0.7.1) vivid; urgency=medium

  [ James Hunt ]
  * scripts/read-only-rootfs: Add a reference to the relevant man page in
    generated /etc/fstab.
  
  [ Michael Vogt ]
  * do *not* set MODULES=list

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Nov 2014 10:12:02 +0100

initramfs-tools-ubuntu-core (0.7) vivid; urgency=medium

  * scripts/read-only-rootfs: Revert the previous change to clean up
    after the upgrader triggered a reboot: it is safer to let the
    upgrader handle cleanup.

 -- James Hunt <james.hunt@ubuntu.com>  Wed, 05 Nov 2014 16:19:25 +0000

initramfs-tools-ubuntu-core (0.6) vivid; urgency=medium

  * man/writable-paths.5: Clarified the meaning of the transition action.
  * scripts/read-only-rootfs:
    - Comments and whitespace fixes.
    - Clean up after a reboot triggered by ubuntu-core-upgrade(1) detecting
      processes that had inodes open.

 -- James Hunt <james.hunt@ubuntu.com>  Mon, 03 Nov 2014 14:43:38 +0000

initramfs-tools-ubuntu-core (0.5) vivid; urgency=medium

  * scripts/read-only-rootfs:
    - Strip trailing slash to avoid double-slash in /etc/fstab. 
    - Ignore all lines beginning with '#' (not just those starting '# ').
    - sync_dirs(): Quote arguments.
    - Add warning comments to /etc/fstab explaining that any changes
      will be lost.
  * COPYING: Added missing file.
  * Remove the upgrader and man page as we no longer want to trigger it
    in the initramfs (it now lives in the ubuntu-core-upgrader package).
  * man/writable-paths.5: New man page.

 -- James Hunt <james.hunt@ubuntu.com>  Wed, 15 Oct 2014 16:49:54 +0100
