=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.5
+Vcs-Bzr: lp:ubuntu/initramfs-tools-ubuntu-core
 
 Package: initramfs-tools-ubuntu-core
 Architecture: all
-Pre-Depends: system-image-common
 Depends: initramfs-tools, ubuntu-core-config, ${misc:Depends},
   gnupg, xz-utils
 Description: Tools for making a read-only Ubuntu Core image selectively writeable
