## initramfs-tools-ubuntu-core 0.7.12

=== debian/changelog ===
initramfs-tools-ubuntu-core (0.7.12) wily; urgency=medium

  * redirect resize script output to /dev/kmsg (console) when "debug" is set
    on the kernel commandline

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 21 Oct 2015 11:39:35 +0200

initramfs-tools-ubuntu-core (0.7.11) wily; urgency=medium

   * drop the superfluous "blockdev --rereadpt" call and instead use udevadm
     settle to make sure the new partitioning scheme is ready for further use

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 12 Sep 2015 13:01:39 +0200

initramfs-tools-ubuntu-core (0.7.10) wily; urgency=medium

  * switch writable partition resizing to parted so we get support for GPT
    partitions.
  * add dependency on parted and use parted in the resize hook

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 31 Aug 2015 16:44:15 +0200

initramfs-tools-ubuntu-core (0.7.9) wily; urgency=medium

  * drop "discard" from mount options of the writable partition, we want to
    use fstrim instead (LP: #1479711).

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 24 Aug 2015 13:54:01 +0200

initramfs-tools-ubuntu-core (0.7.8) wily; urgency=medium

  * add hook to copy sfdisk, blockdev, dirname, realpath and resize2fs in place
  * add "resize" local-premount script to resize the writable
    partition to full disk size if the free space on the writable media
    is more than 10%. keeps a log in /run/initramfs/resize-writable.log
  * drop creation of already existing /run/initramfs dir in ubuntu-core-rootfs
    else all former logs get wiped in that dir, /init creates it as one of
    the very first steps.
  * add dependency on realpath and coreutils, since we use binaries from both
    in the resize script

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 20 Aug 2015 11:05:56 +0200

initramfs-tools-ubuntu-core (0.7.7) wily; urgency=medium

  * Also use wait-for-root when mounting other critical partitions
    (LP: #1465842)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 07 Jul 2015 19:38:14 -0300
