## initramfs-tools-ubuntu-core 0.7.43

=== debian/changelog ===
initramfs-tools-ubuntu-core (0.7.43) xenial; urgency=medium

  * add usb-storage, ahci and libahci to default initrd

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 19 Apr 2016 13:15:04 +0200

initramfs-tools-ubuntu-core (0.7.42) xenial; urgency=medium

  * fix snaps location for latest snappy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Apr 2016 01:11:33 +0200

initramfs-tools-ubuntu-core (0.7.41) xenial; urgency=medium

  * force MODULES=list and only include the squashfs module which should be
    the only thing we need during boot. this reduces the initrd size by
    around 15-17MB (depending on the architecture)

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 09 Apr 2016 14:06:25 +0200

initramfs-tools-ubuntu-core (0.7.40) xenial; urgency=medium

  * drop ubuntu-core-generic-initrd package, not needed anymore, the generic
    initrd is built directly into the os snap now.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 07 Apr 2016 19:27:59 +0200

initramfs-tools-ubuntu-core (0.7.39) xenial; urgency=medium

  * add better logging to GPT resize code
  * switch printing of resulting GPT to sgdisk so we see the types too

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 17 Mar 2016 11:45:35 +0100

initramfs-tools-ubuntu-core (0.7.38) xenial; urgency=medium

  * make scripts/local-premount/dragonmac executable

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 16 Mar 2016 14:43:22 +0100

initramfs-tools-ubuntu-core (0.7.37) xenial; urgency=medium

  * add support for creating /run/macaddr0 based on teh android serial set on
    the kernel commandline to have persistent MAC addresses on dragonboards

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 16 Mar 2016 14:40:45 +0100

initramfs-tools-ubuntu-core (0.7.36) xenial; urgency=medium

  * add check for squashfs support and exit with a proper error message.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 08 Mar 2016 12:24:32 +0100

initramfs-tools-ubuntu-core (0.7.35) xenial; urgency=medium

  * add binutils to the build chroot (for objdump)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 07 Mar 2016 18:22:35 +0100

initramfs-tools-ubuntu-core (0.7.34) xenial; urgency=medium

  * mount the vfat dirs async so writing to them does not take ages, the
    potential corruption due to setting uboot env vars has been covered by
    switching to a fixed size binary uboot.env file.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 07 Mar 2016 13:01:34 +0100

initramfs-tools-ubuntu-core (0.7.33) xenial; urgency=medium

  * fix GPT partition resizing
  * add gdisk dependency

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 06 Mar 2016 13:50:39 +0100

initramfs-tools-ubuntu-core (0.7.32) xenial; urgency=medium

  * and make sure that hack also gets used ...

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 05 Mar 2016 11:33:00 +0100

initramfs-tools-ubuntu-core (0.7.31) xenial; urgency=medium

  * re-introduce hack to forcefully install libudev

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 05 Mar 2016 11:23:56 +0100

initramfs-tools-ubuntu-core (0.7.30) xenial; urgency=medium

  * ... and make the hack executable ...

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 04 Mar 2016 20:15:58 +0100

initramfs-tools-ubuntu-core (0.7.29) xenial; urgency=medium

  * add a hack to copy and link the arm64 linker in teh right places

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 04 Mar 2016 20:07:16 +0100

initramfs-tools-ubuntu-core (0.7.28) xenial; urgency=medium

  * drop all the test hacks

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 04 Mar 2016 15:07:38 +0100

initramfs-tools-ubuntu-core (0.7.27) xenial; urgency=medium

  * fix up the fixcups hook a bit

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 04 Mar 2016 14:47:16 +0100

initramfs-tools-ubuntu-core (0.7.26) xenial; urgency=medium

  * move wait-for-root to an actual hook for a test

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 04 Mar 2016 14:36:33 +0100

initramfs-tools-ubuntu-core (0.7.25) xenial; urgency=medium

  * remove some hackery from the build script, include libfakechroot and
    libfakeroot-sysv in the build env

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 04 Mar 2016 14:15:36 +0100

initramfs-tools-ubuntu-core (0.7.24) xenial; urgency=medium

  * move initramfs-tools-ubuntu-core back to arch: all

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 02 Mar 2016 22:30:27 +0100

initramfs-tools-ubuntu-core (0.7.23) xenial; urgency=medium

  * hack around arm64 issues with wait-for-root pointing to /lib64 where it
    should not.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 02 Mar 2016 19:24:49 +0100

initramfs-tools-ubuntu-core (0.7.22) xenial; urgency=medium

  * no initctl without upstart, make the code conditional here.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 02 Mar 2016 14:14:54 +0100

initramfs-tools-ubuntu-core (0.7.21) xenial; urgency=medium

  * fix removal of plymouth hooks, drop installation of upstart that we
    inherited from the original touch script.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 02 Mar 2016 14:05:17 +0100

initramfs-tools-ubuntu-core (0.7.20) xenial; urgency=medium

  * drop offending initrd hooks harder to fix arm64 FTBFS ...

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 19 Feb 2016 15:44:43 +0100

initramfs-tools-ubuntu-core (0.7.19) xenial; urgency=medium

  * add proper postinst to remove bits like plymouth from the initrd, revert
    the dropping of the FTBFS hack again, it is still needed apparently.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 19 Feb 2016 15:10:46 +0100

initramfs-tools-ubuntu-core (0.7.18) xenial; urgency=medium

  * disable an old hack that fixed FTBFS by touching libfakeroot-sysv.so, not
    needed anymore and makes the logs unreadable.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 19 Feb 2016 14:55:12 +0100

initramfs-tools-ubuntu-core (0.7.17) xenial; urgency=medium

  * add build-initrd.sh script to build generic initrd binary
  * adjust build-initrd.sh script for snappy
  * adjust debian/rules for the above
  * add needed build deps for the above


