## initramfs-tools-ubuntu-core 0.7.45

=== debian/changelog ===
initramfs-tools-ubuntu-core (0.7.45) bionic; urgency=medium

  * Drop dependency on coreutils, it is a required package.
  * Drop dependency on xz-utils, not used.
  * Drop dependency on gnupg, not used.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 17:32:37 +0000

initramfs-tools-ubuntu-core (0.7.44) bionic; urgency=medium

  * Drop dependency on transitional realpath package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Feb 2018 17:50:10 -0800
