=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,4 @@
 	    echo "Checking shell syntax of $$f"; \
 	    sh -n $$f; \
 	done
+
