## initramfs-tools-ubuntu-core 0.7.46

=== debian/changelog ===
initramfs-tools-ubuntu-core (0.7.46) cosmic; urgency=medium

  * Move resize script to initramfs-tools-devices package, so it can
    be used in classic images too, and add that package to the list of
    dependencies for initramfs-tools-ubuntu-core.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 23 Aug 2018 10:55:46 +0200
