=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: initramfs-tools-ubuntu-core
 Architecture: all
-Depends: initramfs-tools, ubuntu-core-config, ${misc:Depends}, parted, gdisk
+Depends: initramfs-tools, initramfs-tools-devices, ubuntu-core-config, ${misc:Depends}, parted, gdisk, 
 Description: Tools for making a read-only Ubuntu Core image selectively writeable
  This package contains the scripts to make a read-only Ubuntu Core image
  selectively writeable. These scripts are run within the initramfs.
