## initramfs-tools-ubuntu-core 0.7.48

=== debian/changelog ===
initramfs-tools-ubuntu-core (0.7.48) eoan; urgency=medium

  * Merge/import changes up to 0.7.45+ppa4 from snappy-dev/image
    repository.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Aug 2019 14:18:00 +0100

initramfs-tools-ubuntu-core (0.7.47) eoan; urgency=medium

  * Configure microcode packages to include all microcodes in the amd64
    initrds.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 17 May 2019 10:21:58 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa26) xenial; urgency=medium

  * initramfs/scripts/ubuntu-core-rootfs:
    - fix incorrect test for dir existance to file/dir existance
  * initramfs/:
    - run shellcheck on the shell scripts
    - fix shell check issues

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Oct 2018 14:14:19 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa25) xenial; urgency=medium

  * initramfs/scripts/local-bottom/fixrtc-mount:
    - use /var/lib/snapd/snaps as possible date intput when the fixrtc
      commandline option is used

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Jul 2018 11:53:19 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa24) xenial; urgency=medium

  * ubuntu-core-rootfs: mount os/kernel snaps RO

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Dec 2017 09:32:08 +0100

initramfs-tools-ubuntu-core (0.7.43+ppa23) xenial; urgency=medium

  * ubuntu-core-rootfs: deal with (broken) symlink in sync_dirs

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Sep 2017 16:45:25 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa22) xenial; urgency=medium

  * fix resize for GPT, be more verbose for logging 

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 08 Sep 2017 15:43:40 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa21) xenial; urgency=medium

  * add androidboot support (https://github.com/snapcore/core-build/pull/13)
  * add unit tests for initramfs code
    (https://github.com/snapcore/core-build/pull/14)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 28 Aug 2017 18:35:13 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa20) xenial; urgency=medium

  * drop old modules/firmware mounting code as it causes the kernel snap to be
    mounted twice where it should not.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 13 Jan 2017 14:56:10 +0100

initramfs-tools-ubuntu-core (0.7.43+ppa19) xenial; urgency=medium

  * make modules files arch specific, copy arch specific modules file
    from /usr/lib/initramfs-tools-ubuntu-core/ with a postinst snippet.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 15 Dec 2016 13:34:36 +0100

initramfs-tools-ubuntu-core (0.7.43+ppa18) xenial; urgency=medium

  * add modules: hv_storvsc, hv_vmbus
    LP: #1639878

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Nov 2016 10:40:29 +0100

initramfs-tools-ubuntu-core (0.7.43+ppa17) xenial; urgency=medium

  * check if /proc/device-tree/model exists before grepping in it

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 01 Nov 2016 12:08:13 +0100

initramfs-tools-ubuntu-core (0.7.43+ppa16) xenial; urgency=medium

  * the module is called mmc-block, not emmc-block ... 

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 01 Nov 2016 11:01:58 +0100

initramfs-tools-ubuntu-core (0.7.43+ppa15) xenial; urgency=medium

  * umount /tmpmnt_kernel after the bind-mounts

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 Oct 2016 19:34:44 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa14) xenial; urgency=medium

  * run "sync" after doing the writable copy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Oct 2016 14:33:14 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa13) xenial; urgency=medium

  * include sdhci, sdhci-pci, sdhci-acpi, and emmc-block by default in the
    initrd so x86 machines can boot from SD cards.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 18 Oct 2016 14:21:03 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa12) xenial; urgency=medium

  * the grubenv/grub.cfg location with the latest gadget snap has
    changed and we need to adjust the bind mounts

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 07 Sep 2016 10:35:32 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa11) xenial; urgency=medium

  * Check also for ${tmpboot_mnt}/EFI/ubuntu/grub.cfg when detecting
    the bootloader. This is where the new-style gadget snap puts it.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 07 Sep 2016 07:58:16 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa10) xenial; urgency=medium

  * create /etc/machine-id in the writable space if it does not exist and bind
    mount it so that systemd and dbus can find it on boot

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 05 Sep 2016 17:39:21 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa9) xenial; urgency=medium

  * remove old snappy_ab code
  * improve error reporting if snap_{kernel,core} is missing

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Aug 2016 10:03:13 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa8) xenial; urgency=medium

  * update to the new snap_mode environment handling:
    - snappy_{kernel,os} is now snap_{kernel,core}

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 27 Jul 2016 13:49:05 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa7) xenial; urgency=medium

  * add virtio_scsi to initrd modules (LP: #1600260)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 13 Jul 2016 14:11:26 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa6) xenial; urgency=medium

  * fix modules location

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 18 May 2016 16:55:32 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa5) xenial; urgency=medium

  * the module is called "nls_iso8859-1" 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 May 2016 19:57:34 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa4) xenial; urgency=medium

  * add "iso8859-1" to the modules we need

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 May 2016 18:41:05 +0200

initramfs-tools-ubuntu-core (0.7.43+ppa3) xenial; urgency=medium

  * use lowercase /efi/ in the initramfs to avoid the boot going
    into maintenance boot because it assumes we are using uboot


