## initramfs-tools-ubuntu-core 0.7.50

=== debian/changelog ===
initramfs-tools-ubuntu-core (0.7.50) focal; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop abootimg support, not used anymore.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 29 Oct 2019 16:39:08 -0700

initramfs-tools-ubuntu-core (0.7.49) eoan; urgency=medium

  * Revent a few bogus changes from the archive.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 05 Sep 2019 14:18:41 +0100
