=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9), debootstrap, lsb-release, fakeroot, fakechroot, shellcheck
 Standards-Version: 3.9.5
-Vcs-Bzr: lp:ubuntu/initramfs-tools-ubuntu-core
+Vcs-Git: https://github.com/snapcore/core-build
 
 Package: initramfs-tools-ubuntu-core
 Architecture: any
@@ -13,4 +13,4 @@
  This package contains the scripts to make a read-only Ubuntu Core image
  selectively writeable. These scripts are run within the initramfs.
  This package should be installed on Ubuntu Core systems.
-
+XB-Task: ubuntu-core
